public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-wm/wmii/
Date: Sat,  5 Aug 2023 22:29:48 +0000 (UTC)	[thread overview]
Message-ID: <1691274503.2956204eeed14e65a51c7d727c3ef76a3dbf0700.sam@gentoo> (raw)

commit:     2956204eeed14e65a51c7d727c3ef76a3dbf0700
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  5 22:12:08 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Aug  5 22:28:23 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2956204e

x11-wm/wmii: fix shebang in /etc/X11/Sessions file

A file in /etc/X11/Sessions with just the path that's *not* executable is fine,
but if it's executable, it's reasonably treated as a script. Oops.

Bug: https://bugs.gentoo.org/911787
Signed-off-by: Sam James <sam <AT> gentoo.org>

 x11-wm/wmii/wmii-3.9.2-r8.ebuild | 86 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 86 insertions(+)

diff --git a/x11-wm/wmii/wmii-3.9.2-r8.ebuild b/x11-wm/wmii/wmii-3.9.2-r8.ebuild
new file mode 100644
index 000000000000..f800a69592fe
--- /dev/null
+++ b/x11-wm/wmii/wmii-3.9.2-r8.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic toolchain-funcs
+
+MY_P="wmii+ixp-${PV}"
+
+DESCRIPTION="A dynamic window manager for X11"
+HOMEPAGE="https://github.com/0intro/wmii"
+SRC_URI="https://dl.suckless.org/wmii/${MY_P}.tbz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86"
+
+DEPEND="
+	media-libs/freetype
+	>=sys-libs/libixp-0.5_p20110208-r3
+	x11-libs/libXext
+	x11-libs/libXft
+	x11-libs/libXinerama
+	x11-libs/libXrandr
+	x11-libs/libXrender
+	x11-libs/libX11"
+RDEPEND="${DEPEND}
+	media-fonts/font-misc-misc
+	x11-apps/xmessage
+	x11-apps/xsetroot"
+BDEPEND="virtual/pkgconfig"
+
+S="${WORKDIR}/${MY_P}"
+
+DOCS=( NEWS NOTES README TODO )
+
+# Force dynamic linking, bug #273332
+MAKEOPTS="${MAKEOPTS} STATIC= -j1"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.9.2-libdir.patch
+)
+
+src_prepare() {
+	default
+
+	mywmiiconf=(
+		PREFIX=/usr
+		DOC=/usr/share/doc/${PF}
+		ETC=/etc
+		LIBDIR=/usr/$(get_libdir)
+		CC="$(tc-getCC) -c"
+		LD="$(tc-getCC)"
+		AR="$(tc-getAR) crs"
+		LIBIXP="${ESYSROOT}/usr/$(get_libdir)/libixp.so"
+	)
+
+	# Punt internal copy of sys-libs/libixp, bug #323037
+	rm include/ixp{,_srvutil}.h || die
+	sed -i -e '/libixp/d' Makefile || die
+
+	# bug #335083
+	sed -i -e "/BINSH \!=/d" mk/hdr.mk || die
+	# bug #369115
+	sed -i -e 's/-lXext/& -lXrender -lX11/' cmd/Makefile || die
+}
+
+src_compile() {
+	append-flags -I"${ESYSROOT}"/usr/include/freetype2
+	append-flags -fcommon
+
+	emake "${mywmiiconf[@]}"
+}
+
+src_install() {
+	emake "${mywmiiconf[@]}" DESTDIR="${D}" install
+
+	exeinto /etc/X11/Sessions
+	newexe - ${PN} <<-EOF
+	#!/bin/sh
+	${PN}
+	EOF
+
+	insinto /usr/share/xsessions
+	doins "${FILESDIR}"/${PN}.desktop
+}


             reply	other threads:[~2023-08-05 22:29 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-05 22:29 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-21 12:18 [gentoo-commits] repo/gentoo:master commit in: x11-wm/wmii/ Petr Vaněk
2023-02-22 19:56 Sam James
2022-10-20  3:54 Sam James
2021-02-12 13:45 Ben Kohler
2021-02-12 13:45 Ben Kohler
2017-03-26 18:00 Michael Orlitzky
2016-12-14 23:01 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1691274503.2956204eeed14e65a51c7d727c3ef76a3dbf0700.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox